summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorajreynol <andrew.j.reynolds@gmail.com>2015-06-02 13:43:51 +0200
committerajreynol <andrew.j.reynolds@gmail.com>2015-06-02 13:43:51 +0200
commit7222fd13c68ee1352dabbe3791fae0ee13d689d1 (patch)
tree8d36278b0c2c40afd0b77e4a17cdbaaeab417a38 /contrib
parentcbcc5124a8f0f17acd981a80c182616cd0a778ff (diff)
Add casc 25 tfn script. Change tff script to output instantiations. Work towards parsing non-flattened sygus grammars.
Diffstat (limited to 'contrib')
-rw-r--r--contrib/run-script-casc25-tff4
-rw-r--r--contrib/run-script-casc25-tfn37
2 files changed, 39 insertions, 2 deletions
diff --git a/contrib/run-script-casc25-tff b/contrib/run-script-casc25-tff
index 23b31cf84..9313b7886 100644
--- a/contrib/run-script-casc25-tff
+++ b/contrib/run-script-casc25-tff
@@ -15,7 +15,7 @@ echo "------- cvc4-tff casc 25 : $bench at $2..."
function trywith {
limit=$1; shift;
echo "--- Run $@ at $limit...";
- (ulimit -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" "$@" $bench) 2>/dev/null |
+ (ulimit -S -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
(read w1 w2 w3 result w4 w5;
case "$result" in
Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
@@ -25,7 +25,7 @@ function trywith {
}
function finishwith {
echo "--- Run $@...";
- $cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" "$@" $bench
+ $cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench
}
trywith 10 --cbqi2 --decision=internal --full-saturate-quant
diff --git a/contrib/run-script-casc25-tfn b/contrib/run-script-casc25-tfn
new file mode 100644
index 000000000..d3c5d0344
--- /dev/null
+++ b/contrib/run-script-casc25-tfn
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc4-tfn casc 25 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Satisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ CounterSatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc4 --lang=tptp --no-checking --no-interactive "$@" $bench
+}
+
+trywith 30 --cbqi2 --decision=internal --full-saturate-quant
+trywith 60 --finite-model-find --sort-inference --uf-ss-fair
+trywith 30 --cbqi --full-saturate-quant
+trywith 60 --cbqi --cbqi-recurse --full-saturate-quant
+trywith 60 --fmf-bound-int --macros-quant
+finishwith --cbqi2 --cbqi-recurse --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback